function OnWarpEnter() 
	--SetMarker("cs\\Warp_0082.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0080.wp" , 0 , 0) 

	if ETAT_DAY == "D1" then 

	end 
	if ETAT_DAY == "D2" then 

	end 
	if ETAT_DAY == "D3" then 

	end 
	if ETAT_DAY == "D4" then 

		if  FIRST_ENGRAVED then
			PutObject("jpe1",false)
		end

		if SECOND_ENGRAVED then
			PutObject("jse1",false)
		end

		if HOLE_FALLEN then
			StartAnimationPart("jbe1",1,2,-1,false)
			if not SoundHoleFallen then
				SoundHoleFallen = true
				PlaySound("Sounds/SFX/N_EffondrementCrypte.ogg",1)
			end
		else 
			SetMarker("cs\\Warp_0082.wp" , 0 , 0) 
		end

		if not SWORD_PICKED then
			StartAnimationPart("jie1",81,82,-1,false)
		end

		if not SHIELD_PICKED then
			StartAnimationPart("jje1",81,82,-1,false)
		end

		
	end 
	if ETAT_DAY == "D5" then 

	end 
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0082.wp" then 
	    if not HOLE_FALLEN then
		ChangeWarp(objectName)
	    end
	end

	if objectName == "3D\\cs\\Warp_0080.wp" then 
		ChangeWarp(objectName)
	end

	if ETAT_DAY == "D1" then 
		if objectName == "jpe1" then

		elseif objectName == "jse1" then

		elseif objectName == "jbe1" then

		elseif objectName == "jie1" then

		elseif objectName == "jje1" then

		end
	end 

	if ETAT_DAY == "D2" then 

	end 

	if ETAT_DAY == "D3" then 

	end 

	if ETAT_DAY == "D4" then 

	end 

	if ETAT_DAY == "D5" then 

	end 
end
